Project

General

Profile

Bug #14330

Strange error with strict version checking

Added by Andrei Gaponenko over 2 years ago. Updated about 2 years ago.

Status:
New
Priority:
Normal
Assignee:
-
Target version:
Start date:
10/31/2016
Due date:
% Done:

0%

Estimated time:
Experiment:
Mu2e
Duration:

Description

Hi,

$ export UPS_OVERRIDE="-B"

$ setup cigetcert

ERROR: Version conflict -- dependency tree requires versions conflicting with current setup of product : full descriptions setpath v1_11 -f NULL -z /grid/fermiapp/products/common/db vs setpath v1_11 -f NULL -z /cvmfs/fermilab.opensciencegrid.org/products/common/db

The version and the qualifiers are the same - perhaps this should not be an error?

Another strange thing: where does /grid/fermiapp in the error message come from? That repository is not referenced in the environment:

$ printenv|grep PROD
COMMON_PRODUCTS=/cvmfs/fermilab.opensciencegrid.org/products/common/db
COMMON_PRODUCTS2=/cvmfs/fermilab.opensciencegrid.org/products/common/etc/./../db
MU2EPRODUCTS=/cvmfs/mu2e.opensciencegrid.org/artexternals
PRODUCTS=/cvmfs/mu2e.opensciencegrid.org/artexternals:/cvmfs/fermilab.opensciencegrid.org/products/common/db

Andrei

History

#1 Updated by Marc Mengel about 2 years ago

  • Target version set to v5_2_1


Also available in: Atom PDF